Skip to main content
GET
/
coins
/
{coin_id}
/
ohlcv
/
today
CLI
curl --request GET \
--url 'https://api.coinpaprika.com/v1/coins/btc-bitcoin/ohlcv/today'
import requests

url = "https://api.coinpaprika.com/v1/coins/{coin_id}/ohlcv/today"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.coinpaprika.com/v1/coins/{coin_id}/ohlcv/today', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "time_open": "2018-03-01T00:00:00Z",
    "time_close": "2018-03-01T23:59:59Z",
    "open": 856.012,
    "high": 880.302,
    "low": 851.92,
    "close": 872.2,
    "volume": 1868520000,
    "market_cap": 83808161204
  }
]
{
"error": "id not found"
}
{
"error": "you have reached maximum request limit"
}

Path Parameters

coin_id
string
required
Example:

"btc-bitcoin"

Query Parameters

quote
string
default:usd

returned data quote (available values: usd btc)

Response

successful operation

time_open
string

RFC3999 (ISO-8601) format

Example:

"2018-03-01T00:00:00Z"

time_close
string

RFC3999 (ISO-8601) format

Example:

"2018-03-01T23:59:59Z"

open
number | null
Example:

856.012

high
number | null
Example:

880.302

low
number | null
Example:

851.92

close
number | null
Example:

872.2

volume
integer | null
Example:

1868520000

market_cap
integer | null
Example:

83808161204